classification
Title: Include missing info on required build steps and how to build installer
Type: crash Stage: resolved
Components: Build Versions: Python 3.8, Python 3.7, Python 3.6, Python 3.5, Python 3.4, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: Ivan.Pozdeev, steve.dower
Priority: normal Keywords: patch

Created on 2017-10-04 15:09 by Ivan.Pozdeev, last changed 2017-11-17 22:10 by Ivan.Pozdeev. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 4426 merged python-dev, 2017-11-16 23:41
PR 4427 merged python-dev, 2017-11-16 23:43
PR 4428 closed python-dev, 2017-11-16 23:47
PR 4429 closed python-dev, 2017-11-16 23:55
PR 4430 merged python-dev, 2017-11-16 23:56
PR 4431 merged python-dev, 2017-11-16 23:57
Messages (7)
msg303700 - (view) Author: Ivan Pozdeev (Ivan.Pozdeev) * Date: 2017-10-04 15:09
Current build instructions no not mention required preliminary steps before building the solution and don't say how to build the installer package - which is the ultimate goal of a build.

Being on XP at the moment, I cannot check the validity of build instructions for other branches. Maybe they can use this info as well.
msg306113 - (view) Author: Ivan Pozdeev (Ivan.Pozdeev) * Date: 2017-11-12 14:11
Indeed, other branches can use this info as well.
msg306403 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2017-11-16 23:56
New changeset fd0fa67464f75cebca67cd14d050476a0c73bd53 by Steve Dower (native-api) in branch 'master':
bpo-31691: Specify where to find build instructions for the Windows installer (#4426)
https://github.com/python/cpython/commit/fd0fa67464f75cebca67cd14d050476a0c73bd53
msg306404 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2017-11-17 00:28
New changeset c02307e9634583d3f2660e46b5200bf0b282695a by Steve Dower (native-api) in branch '2.7':
bpo-31691: Specify how to build installer in Windows (#4430)
https://github.com/python/cpython/commit/c02307e9634583d3f2660e46b5200bf0b282695a
msg306405 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2017-11-17 00:49
New changeset 0a6158ca392adfdfbeb7eb43d8d8109c02b00d23 by Steve Dower (Miss Islington (bot)) in branch '3.6':
bpo-31691: Specify where to find build instructions for the Windows installer (GH-4426) (#4431)
https://github.com/python/cpython/commit/0a6158ca392adfdfbeb7eb43d8d8109c02b00d23
msg306406 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2017-11-17 00:49
Thanks for the PR!
msg306407 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2017-11-17 00:50
New changeset c69611990365ae2f2efffd191de0aba9ee98d95c by Steve Dower (native-api) in branch '3.6':
bpo-31691: Specify where to find installer build instructions for Windows (#4427)
https://github.com/python/cpython/commit/c69611990365ae2f2efffd191de0aba9ee98d95c
History
Date User Action Args
2017-11-17 22:10:20Ivan.Pozdeevsetfiles: - 0001-Add-missing-but-required-build-steps-and-how-to-buil.patch
2017-11-17 00:50:50steve.dowersetmessages: + msg306407
2017-11-17 00:49:59steve.dowersetstatus: open -> closed
type: crash
messages: + msg306406

resolution: fixed
stage: patch review -> resolved
2017-11-17 00:49:38steve.dowersetmessages: + msg306405
2017-11-17 00:28:45steve.dowersetmessages: + msg306404
2017-11-16 23:57:50python-devsetpull_requests: + pull_request4377
2017-11-16 23:56:30steve.dowersetnosy: + steve.dower
messages: + msg306403
2017-11-16 23:56:09python-devsetpull_requests: + pull_request4376
2017-11-16 23:55:08python-devsetpull_requests: + pull_request4375
2017-11-16 23:47:11python-devsetpull_requests: + pull_request4374
2017-11-16 23:43:52python-devsetpull_requests: + pull_request4373
2017-11-16 23:41:28python-devsetstage: patch review
pull_requests: + pull_request4372
2017-11-12 14:11:48Ivan.Pozdeevsetfiles: - 0001-Add-missing-build-steps-in-build-procedure.patch
2017-11-12 14:11:39Ivan.Pozdeevsetfiles: - 0001-Add-missing-build-steps-in-build-procedure.patch
2017-11-12 14:11:29Ivan.Pozdeevsetfiles: + 0001-Add-missing-but-required-build-steps-and-how-to-buil.patch

messages: + msg306113
versions: + Python 3.5, Python 3.6, Python 3.7, Python 3.8
2017-10-04 15:11:16Ivan.Pozdeevsetfiles: + 0001-Add-missing-build-steps-in-build-procedure.patch
2017-10-04 15:09:59Ivan.Pozdeevcreate